---
apiVersion: helm.fluxcd.io/v1
kind: HelmRelease
metadata:
  name: minio
  namespace: default
  annotations:
    fluxcd.io/ignore: "false"
    fluxcd.io/automated: "true"
    fluxcd.io/tag.chart-image: glob:RELEASE.*Z
spec:
  releaseName: minio
  chart:
    repository: https://kubernetes-charts.storage.googleapis.com/
    name: minio
    version: 5.0.25
  values:
    image:
      repository: minio/minio
      tag: RELEASE.2021-06-17T00-10-46Z
    ingress:
      enabled: true
      annotations:
        kubernetes.io/ingress.class: "nginx"
      hosts:
      - minio.kube.cardboardbox.be
      tls:
      - hosts:
        - minio.kube.cardboardbox.be
    persistence:
      existingClaim: "nfs-data-pvc"
      subPath: minio
    resources:
      limits:
        memory: 1024Mi
        cpu: 500m
      requests:
        cpu: 25m
        memory: 256Mi
  valueFileSecrets:
  - name: "minio-helm-values"
